Bug 1483519 - [RFE] Verification of shared storage configuration values is missing.
Summary: [RFE] Verification of shared storage configuration values is missing.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 4.1.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ovirt-4.3.0
: ---
Assignee: Simone Tiraboschi
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 10:38 UTC by Nikolai Sednev
Modified: 2019-04-28 13:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-03 13:09:22 UTC
oVirt Team: Integration
Target Upstream Version:
mavital: testing_plan_complete?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1455169 None None None Never

Internal Links: 1455169

Description Nikolai Sednev 2017-08-21 10:38:23 UTC
Description of problem:
Verification of shared storage configuration values is missing.
Customer can provide any alphanumeric values as an input for shared storage configuration values with no verification. For example "gateway" key value like "nfs3" is accepted.

# hosted-engine --set-shared-config gateway nfs3 --type he_conf
# hosted-engine --get-shared-config gateway --type he_conf
gateway : nfs3, type : he_conf


Version-Release number of selected component (if applicable):
ovirt-hosted-engine-ha-2.1.5-1.el7ev.noarch
ovirt-hosted-engine-setup-2.1.3.6-1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1.Try setting and getting any improper key value to any possible he_conf key value, e.g. hosted-engine --set-shared-config port nfs3 --type he_conf.

Actual results:
There is no input verification exists for he_conf input key values.
# hosted-engine --set-shared-config port nfs3 --type he_conf
# hosted-engine --get-shared-config port --type he_conf
port : nfs3, type : he_conf


Expected results:
Each key value should be verified prior to being accepted and if unacceptable value provided, warning message should be provided for customer. 

Additional info:
Please see this pastebin for more technical details http://pastebin.test.redhat.com/509814.

Comment 1 Sandro Bonazzola 2017-10-20 05:48:30 UTC
Will be solved with node zero deployment flow


Note You need to log in before you can comment on or make changes to this bug.